> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.iot.telia.lt/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.iot.telia.lt/_mcp/server.

# Validate SIM batch by BIC

GET https://iot.telia.lt/api/v1/sim_batch/bic/{bic}

Checks the given BIC code and the contained SIMs if they can be registered.


Reference: https://docs.iot.telia.lt/developers/api/sim/validate-sim-batch-by-bic

## Authentication

- `Authorization` header (bearer token, required) — An `auth_token` should be provided to authenticate a session. To obtain an `auth_token`, see the [`/api/v1/authenticate` **POST** request](/developers/api/authentication/authenticate).

## Request

### Path parameters

- `bic` (string, required) — The BIC of the SIM batch. Leading hash symbols must be URL encoded (`%23`).

## Response

### 200

Batch is valid and can be registered

- `sim_batch_status_id` (string, optional)
- `bsn` (string, optional)
- `bic` (string, optional)
- `quantity` (string, optional)
- `sim_model_id` (string, optional)
- `issuer_org_id` (string, optional)
- `customer_org_id` (integer, optional)
- `reseller_org_id` (integer, optional)
- `activated` (string, optional)
- `logistic_center_id` (string, optional)
- `article_id` (string, optional)
- `id` (integer, optional)
- `status` (ApiV1SimBatchBicBicGetResponsesContentApplicationJsonSchemaStatus, optional)
- `model` (ApiV1SimBatchBicBicGetResponsesContentApplicationJsonSchemaModel, optional)

## Errors

### 400 Bad Request Error

Batch is already registered

- `any`

### 403 Forbidden Error

Your role doesn't include the permission this endpoint requires. Most endpoints return `error_code`, `error_token`, and `message`. Some return only `status_code` and `message`.

- `error_code` (integer, optional)
- `error_token` (string, optional)
- `status_code` (integer, optional)
- `message` (string, optional)

### 404 Not Found Error

No Batch with the given BIC found

- `any`

### 422 Unprocessable Entity Error

Batch contains SIMs registered to another organisation

- `any`

## Types

### ApiV1SimBatchBicBicGetResponsesContentApplicationJsonSchemaStatus

- `id` (integer, required)
- `description` (string, optional)

### ApiV1SimBatchBicBicGetResponsesContentApplicationJsonSchemaModel

- `id` (integer, optional)
- `description` (string, optional)
- `memory_size` (integer, optional)
- `formfactor` (ApiV1SimBatchBicBicGetResponsesContentApplicationJsonSchemaModelFormfactor, optional)
- `manufacturer` (ApiV1SimBatchBicBicGetResponsesContentApplicationJsonSchemaModelManufacturer, optional)

### ApiV1SimBatchBicBicGetResponsesContentApplicationJsonSchemaModelFormfactor

- `id` (integer, optional)
- `name` (string, optional)

### ApiV1SimBatchBicBicGetResponsesContentApplicationJsonSchemaModelManufacturer

- `id` (integer, optional)
- `name` (string, optional)

## Examples

**Response**

```json
{
  "sim_batch_status_id": "0",
  "bsn": "0205000000221000",
  "bic": "JV17MS68M6JPYJBM",
  "quantity": "5",
  "sim_model_id": "9",
  "issuer_org_id": "2",
  "activated": "2020-12-16T09:25:30.000Z",
  "logistic_center_id": "1",
  "article_id": "21",
  "id": 164391,
  "status": {
    "id": 0,
    "description": "IN STOCK"
  },
  "model": {
    "id": 9,
    "formfactor": {
      "id": 8,
      "name": "1/2/3/4FF (4in1)"
    }
  }
}
```

**SDK Code**

```python Validated
import requests

url = "https://iot.telia.lt/api/v1/sim_batch/bic/12345678ABCDEFGH"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Validated
const url = 'https://iot.telia.lt/api/v1/sim_batch/bic/12345678ABCDEFGH';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Validated
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://iot.telia.lt/api/v1/sim_batch/bic/12345678ABCDEFGH"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Validated
require 'uri'
require 'net/http'

url = URI("https://iot.telia.lt/api/v1/sim_batch/bic/12345678ABCDEFGH")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Validated
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://iot.telia.lt/api/v1/sim_batch/bic/12345678ABCDEFGH")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Validated
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://iot.telia.lt/api/v1/sim_batch/bic/12345678ABCDEFGH', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Validated
using RestSharp;

var client = new RestClient("https://iot.telia.lt/api/v1/sim_batch/bic/12345678ABCDEFGH");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Validated
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://iot.telia.lt/api/v1/sim_batch/bic/12345678ABCDEFGH")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```